Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExManagerPVS.cpp

Go to the documentation of this file.

    00001 /*
    00002  * ExNihilo 3D Engine
    00003  *
    00004  *  This program is free software; you can redistribute it and/or modify
    00005  *  it under the terms of the GNU General Public License as published by
    00006  *  the Free Software Foundation; either version 2 of the License, or
    00007  *  (at your option) any later version.
    00008  *
    00009  *  This program is distributed in the hope that it will be useful,
    00010  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
    00011  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    00012  *  GNU Library General Public License for more details.
    00013  *
    00014  *  You should have received a copy of the GNU General Public License
    00015  *  along with this program; if not, write to the Free Software
    00016  *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    00017  *
    00018  * Please read AUTHORS file !!!
    00019  *
    00020  * $Id: ExManagerPVS.cpp,v 1.10 2002/08/26 00:52:55 data Exp $
    00021  *
    00022  */
    00023
    00024 #include "ExManagerPVS.h"
    00025
    00026 ExManagerPVS::ExManagerPVS(void)
    00027 {
    00028         Reset();
    00029 }
    00030
    00031 ExManagerPVS::~ExManagerPVS(void)
    00032 {
    00033 }
    00034
    00035 void ExManagerPVS::DrawAllObject(void)
    00036 {
    00037 Guard(void ExManagerPVS::DrawAllObject(void))
    00038         uint i=0;
    00039         Frustrum.CalculateFrustum();
    00040         //---------------------------
    00041         //PARTICULE SYSTEM
    00042         //---------------------------
    00043         glPushMatrix();
    00044         i=0;
    00045         while(i<m_VecSystemeParticule->size())
    00046         {
    00047                 m_VecSystemeParticule->at(i)->Draw();
    00048                 i++;
    00049         }
    00050         glPopMatrix();
    00051
    00052 UnGuard
    00053 }
    00054
    00055
    00056 void ExManagerPVS::Reset(void)
    00057 {
    00058
    00059 }
    00060
    00061 void ExManagerPVS::Init(void)
    00062 {
    00063         m_VecSystemeParticule = new std::vector<ExCSystemeParticule *>;
    00064 }
    00065
    00066
    00067